import java.applet.Applet;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Point;

public class ConfigApplet4 extends Applet {
   String str;
   Point position;

   public void init() {
      this.HandleTextParam();
      this.HandleTypeSizeParam();
      this.HandlePositionParam();
   }

   public void paint(Graphics var1) {
      var1.drawString(this.str, this.position.x, this.position.y);
   }

   protected void HandleTextParam() {
      this.str = ((Applet)this).getParameter("text");
      if (this.str == null) {
         this.str = "Default Text";
      }

   }

   protected void HandleTypeSizeParam() {
      String var1 = ((Applet)this).getParameter("typesize");
      if (var1 == null) {
         var1 = "24";
      }

      int var2 = Integer.parseInt(var1);
      if (var2 < 10 || var2 > 72) {
         var2 = 24;
      }

      Font var3 = new Font("TimesRoman", 1, var2);
      ((Component)this).setFont(var3);
   }

   protected void HandlePositionParam() {
      String var1 = ((Applet)this).getParameter("xpos");
      if (var1 == null) {
         var1 = "20";
      }

      int var2 = Integer.parseInt(var1);
      var1 = ((Applet)this).getParameter("ypos");
      if (var1 == null) {
         var1 = "50";
      }

      int var3 = Integer.parseInt(var1);
      Dimension var4 = ((Component)this).size();
      if (var2 < 0 || var2 > var4.width) {
         var2 = var4.width / 2;
      }

      if (var3 < 0 || var3 > var4.height) {
         var3 = var4.height / 2;
      }

      this.position = new Point(var2, var3);
   }
}
